## glogg 0.8.2

=== debian/changelog ===
glogg (0.8.2-1) unstable; urgency=low

  * New upstream release
  * Add the Vcs-Browser and Vcs-Git info

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Tue, 08 Feb 2011 15:48:13 +0000

glogg (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 19 Nov 2010 17:30:18 +0100

glogg (0.8.0-1) unstable; urgency=low

  * Initial upload (Closes: #578214)

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Tue, 17 Aug 2010 10:24:08 +0100

## glogg 1.0.3

=== tests/CMakeLists.txt ===
INCLUDE (CheckSymbolExists)
INCLUDE (CheckCXXSourceCompiles)
INCLUDE (CheckCXXCompilerFlag)

cmake_minimum_required(VERSION 2.8.12)
project(glogg_tests)

# Qt

find_program(QT_QMAKE_EXECUTABLE NAMES qmake PATHS $ENV{QT_DIR}/bin)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Test REQUIRED)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

check_cxx_compiler_flag(-Wall HAS_WALL)

if(HAS_WALL)
    set(PARANOID_FLAGS "${PARANOID_FLAGS} -Wall")
endif(HAS_WALL)

# Compiler
check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
check_cxx_compiler_flag("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support.")
endif()

set(CMAKE_REQUIRED_FLAGS "-std=c++11")
check_cxx_source_compiles("
    #include <memory>
    int main(int, int)
    {
        auto test = std::make_unique<void>();
        return 0;
    }
" HAVE_MAKE_UNIQUE)

check_cxx_source_compiles("
    #include <memory>
    struct Base {
        virtual void func() {}
    };
    struct Derived : public Base {
        void func() override {}
    }
    int main(int, int)
    {
        return 0;
    }
" HAVE_OVERRIDE)

configure_file(../config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Configuration
check_symbol_exists( symlink "unistd.h" HAVE_SYMLINK )
check_symbol_exists( htons "arpa/inet.h" HAVE_HTONS )

# find_library(WS2_LIBRARY NAMES ws2_32)

# Libs

set(LIBS gmock gtest)

# Setup testing
enable_testing()
include_directories(
    $ENV{GMOCK_HOME}/include
    $ENV{GMOCK_HOME}/gtest/include
    $ENV{BOOST_ROOT}/
    ../src/
)
link_directories($ENV{GMOCK_HOME}/mybuild $ENV{GMOCK_HOME}/mybuild/gtest)

# Sources
set(glogg_SOURCES
    ../src/session.cpp
    ../src/data/abstractlogdata.cpp
    ../src/data/logdata.cpp
    ../src/data/logfiltereddata.cpp
    ../src/data/logfiltereddataworkerthread.cpp
    ../src/data/logdataworkerthread.cpp
    ../src/data/compressedlinestorage.cpp
    ../src/mainwindow.cpp
    ../src/crawlerwidget.cpp
    ../src/abstractlogview.cpp
    ../src/logmainview.cpp
    ../src/filteredview.cpp
    ../src/optionsdialog.cpp
    ../src/persistentinfo.cpp
    ../src/configuration.cpp
    ../src/filtersdialog.cpp
    ../src/filterset.cpp
    ../src/savedsearches.cpp
    ../src/infoline.cpp
    ../src/menuactiontooltipbehavior.cpp
    ../src/selection.cpp
    ../src/quickfind.cpp
    ../src/quickfindpattern.cpp
    ../src/quickfindwidget.cpp
    ../src/sessioninfo.cpp
    ../src/recentfiles.cpp
    ../src/overview.cpp
    ../src/overviewwidget.cpp
    ../src/marks.cpp
    ../src/quickfindmux.cpp
    ../src/signalmux.cpp
    ../src/qtfilewatcher.cpp
    ../src/tabbedcrawlerwidget.cpp
    ../src/filewatcher.cpp
    ../src/watchtowerlist.cpp
    ../src/watchtower.cpp
    ../src/platformfilewatcher.cpp
)

set(glogg_HEADERS
    ../src/mainwindow.h
    ../src/marks.h
    ../src/filewatcher.h)

# Unit tests
set(glogg_UTESTS
    watchtowerTest.cpp
    linepositionarrayTest.cpp
)

# Integration tests
set(glogg_ITESTS
    logdataTest.cpp
    logfiltereddataTest.cpp
)

# Performance tests
set(glogg_PTESTS
    logdataPerfTest.cpp
    logfiltereddataPerfTest.cpp
)


# Options
if (WIN32)
    set(FileWatcherEngine_SOURCES
        ../src/winwatchtowerdriver.cpp
    )
else (WIN32)
    set(FileWatcherEngine_SOURCES ../src/inotifywatchtowerdriver.cpp)
endif (WIN32)

# Compiler flags
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${PARANOID_FLAGS} -fPIC -DGLOGG_VERSION=\\\"unit_tests\\\" -g -gdwarf-2")

# Add test cpp file
add_executable(glogg_tests
    ${glogg_SOURCES}
    ${FileWatcherEngine_SOURCES}
    ${glogg_UTESTS}
)

# Link test executable against gtest & gtest_main
target_link_libraries(glogg_tests ${LIBS} gtest_main pthread Qt5::Widgets)

add_executable(glogg_itests
    ${glogg_SOURCES}
    ${FileWatcherEngine_SOURCES}
    ${glogg_ITESTS}
    itests.cpp
)

target_link_libraries(glogg_itests ${LIBS} pthread Qt5::Widgets Qt5::Test)

add_executable(glogg_ptests
    ${glogg_SOURCES}
    ${FileWatcherEngine_SOURCES}
    ${glogg_PTESTS}
    itests.cpp
)

target_link_libraries(glogg_ptests ${LIBS} pthread Qt5::Widgets Qt5::Test)

add_test(
    NAME glogg_tests
    COMMAND glogg_tests
)

## glogg 0.8.3

=== debian/changelog ===
glogg (0.8.3-1build1) oneiric; urgency=low

  * No change rebuild for boost 1.46 transition 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 11 Sep 2011 02:29:07 -0500

glogg (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Mon, 21 Feb 2011 17:59:29 +0000

=== debian/control ===
Source: glogg
Section: utils
Priority: optional
Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
Build-Depends: debhelper (>= 7), cdbs, docbook-to-man,
    qt4-qmake (>= 4.3.0), libqt4-dev (>= 4.3.0),
    libboost-program-options-dev, markdown
Standards-Version: 3.9.1
Homepage: http://glogg.bonnefon.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/glogg.git
Vcs-Git: git://git.debian.org/collab-maint/glogg.git

Package: glogg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A smart interactive log explorer using Qt4
 glogg is a multi-platform GUI application to browse and search through long or
 complex log files. It is designed with programmers and system administrators
 in mind and can be seen as a graphical, interactive combination of grep and
 less.
 .
 Main features include:
  * Accept egrep regular expression to search or filter the log.
  * Interactively display results of the search in a second, filtered window.
  * Colorize the log and the search results.
  * Read the file directly from disk, without loading it into memory.
  * Happily handle big (>4 GiB) files.
  * Follow a log in real-time as it is written to disk.
  * Support less/vim like keyboard commands to move around the file.

## glogg 0.9.0

=== debian/changelog ===
glogg (0.9.0-1) unstable; urgency=low

  * Imported Upstream version 0.9.0
  * Correct Author(s) in copyright file and add the correct years.
  * Update the description to comply with lintian's
    description-synopsis-starts-with-article.
  * Update Standards-Version to 3.9.2
  * Improves the package description.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Mon, 09 Jan 2012 14:58:10 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7), cdbs, docbook-to-man,
     qt4-qmake (>= 4.3.0), libqt4-dev (>= 4.3.0),
     libboost-program-options-dev, markdown
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://glogg.bonnefon.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/glogg.git
 Vcs-Git: git://git.debian.org/collab-maint/glogg.git
@@ -13,7 +13,7 @@
 Package: glogg
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: A smart interactive log explorer using Qt4
+Description: Smart interactive log explorer using Qt4
  glogg is a multi-platform GUI application to browse and search through long or
  complex log files. It is designed with programmers and system administrators
  in mind and can be seen as a graphical, interactive combination of grep and
@@ -26,4 +26,5 @@
   * Read the file directly from disk, without loading it into memory.
   * Happily handle big (>4 GiB) files.
   * Follow a log in real-time as it is written to disk.
+  * Allow to insert marks in the logs to interesting lines.
   * Support less/vim like keyboard commands to move around the file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

QMAKE=qmake-qt4
CFLAGS=-O2
CXXFLAGS=-O2
DEB_MAKE_INSTALL_TARGET = install INSTALL_ROOT=$(DEB_DESTDIR)/usr
DEB_QMAKE_ARGS = VERSION=$(DEB_VERSION)
DEB_DH_ALWAYS_EXCLUDE := COPYING.gz
DEB_DH_MD5SUMS_ARGS := --exclude=COPYING.gz

build/glogg::
	# generate man page
	/usr/bin/docbook-to-man debian/glogg.sgml > debian/glogg.1

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.bonnefon.org/files/glogg/glogg-([\d\.]*)\.tar\.gz

## glogg 0.9.1

=== debian/changelog ===
glogg (0.9.1-1build1) saucy; urgency=low

  * No change rebuild for Boost 1.53 transition.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Apr 2013 19:18:41 +0100

glogg (0.9.1-1) unstable; urgency=low

  * Imported Upstream version 0.9.1
  * Revert to Debian's default CXXFLAGS and CFLAGS.
  * Update Standards-Version to 3.9.3

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 07 Dec 2012 16:06:44 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: glogg
 Section: utils
 Priority: optional
-Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
 Build-Depends: debhelper (>= 7), cdbs, docbook-to-man,
     qt4-qmake (>= 4.3.0), libqt4-dev (>= 4.3.0),
     libboost-program-options-dev, markdown
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://glogg.bonnefon.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/glogg.git
 Vcs-Git: git://git.debian.org/collab-maint/glogg.git

## glogg 0.9.2

=== debian/changelog ===
glogg (0.9.2-1) unstable; urgency=low

  * Imported Upstream version 0.9.2
  * Add 2013 to the copyright years.
  * Update Standards-Version to 3.9.4
  * Ensure cdbs is recent enough to have fixed the LFLAG bug.
  * Update the watch file for the new website.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 04 Oct 2013 16:55:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: glogg
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
-Build-Depends: debhelper (>= 7), cdbs, docbook-to-man,
+Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
+Build-Depends: debhelper (>= 7), cdbs (>= 0.4.120),
     qt4-qmake (>= 4.3.0), libqt4-dev (>= 4.3.0),
-    libboost-program-options-dev, markdown
-Standards-Version: 3.9.3
+    libboost-program-options-dev, markdown, docbook-to-man
+Standards-Version: 3.9.4
 Homepage: http://glogg.bonnefon.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/glogg.git
 Vcs-Git: git://git.debian.org/collab-maint/glogg.git

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 include /usr/share/cdbs/1/class/qmake.mk
 
 QMAKE=qmake-qt4
-CFLAGS=-O2
-CXXFLAGS=-O2
 DEB_MAKE_INSTALL_TARGET = install INSTALL_ROOT=$(DEB_DESTDIR)/usr
 DEB_QMAKE_ARGS = VERSION=$(DEB_VERSION)
 DEB_DH_ALWAYS_EXCLUDE := COPYING.gz

## glogg 1.0.1

=== debian/changelog ===
glogg (1.0.1-1) unstable; urgency=medium

  * Imported Upstream version 1.0.1
  * Change the VCS URLs to point to anonscm.debian.org.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Thu, 25 Sep 2014 17:05:52 +0100

glogg (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Add 2014 to the copyright years.
  * Update Standards-Version to 3.9.5
  * Add a dependency on pkg-config to ensure DBus support is built in.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 08 Aug 2014 16:06:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: utils
 Priority: optional
 Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
-Build-Depends: debhelper (>= 7), cdbs (>= 0.4.120),
-    qt4-qmake (>= 4.3.0), libqt4-dev (>= 4.3.0),
+Build-Depends: debhelper (>= 7), cdbs (>= 0.4.120), pkg-config,
+    qt4-qmake (>= 4.6.0), libqt4-dev (>= 4.6.0),
     libboost-program-options-dev, markdown, docbook-to-man
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://glogg.bonnefon.org/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/glogg.git
-Vcs-Git: git://git.debian.org/collab-maint/glogg.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/glogg.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/glogg.git
 
 Package: glogg
 Architecture: any

## glogg 1.0.2

=== debian/changelog ===
glogg (1.0.2-1) unstable; urgency=medium

  * Imported Upstream version 1.0.2
  * Added 2015 to the copyright years.
  * Updated Standards-Version to 3.9.6

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 16 Jan 2015 11:34:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7), cdbs (>= 0.4.120), pkg-config,
     qt4-qmake (>= 4.6.0), libqt4-dev (>= 4.6.0),
     libboost-program-options-dev, markdown, docbook-to-man
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://glogg.bonnefon.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/glogg.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/glogg.git

## glogg 1.1.0

=== debian/changelog ===
glogg (1.1.0-1build3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:21:53 +0000

glogg (1.1.0-1build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:18:31 +0000

glogg (1.1.0-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:39:10 +0000

glogg (1.1.0-1) unstable; urgency=medium

  * Imported Upstream version 1.1.0
  * Move the package to Qt5.
  * Amend the Description for the new upstream.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 12 Feb 2016 19:35:22 +0000

glogg (1.0.3-1) unstable; urgency=medium

  * Imported Upstream version 1.0.3
  * Remove menu file to comply with tech-ctte decision #741573.
  * Update the man page to include new command line options.
  * Correct a typo in the package description.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 20 Nov 2015 13:35:24 +0000

=== debian/control ===
Source: glogg
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
Build-Depends: debhelper (>= 8), cdbs (>= 0.4.120), pkg-config,
    qt5-qmake (>= 5.2.1), qtbase5-dev (>= 5.2.1), qtchooser,
    qtbase5-dev-tools (>= 5.2.1),
    libboost-program-options-dev, markdown, docbook-to-man
Standards-Version: 3.9.6
Homepage: http://glogg.bonnefon.org/
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/glogg.git
Vcs-Git: git://anonscm.debian.org/collab-maint/glogg.git

Package: glogg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Smart interactive log explorer using Qt
 glogg is a multi-platform GUI application to browse and search through long or
 complex log files. It is designed with programmers and system administrators
 in mind and can be seen as a graphical, interactive combination of grep and
 less.
 .
 Main features include:
  * Accept egrep regular expression to search or filter the log.
  * Interactively display results of the search in a second, filtered window.
  * Colorize the log and the search results.
  * Read the file directly from disk, without loading it into memory.
  * Happily handle big (>4 GiB) files.
  * Read UTF-8 and ISO-8859-1 encoded files.
  * Follow a log in real-time as it is written to disk.
  * Allow one to insert marks in the logs to interesting lines.
  * Support less/vim like keyboard commands to move around the file.

## glogg 1.1.4

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -116,7 +116,9 @@
     ../src/filewatcher.cpp
     ../src/watchtowerlist.cpp
     ../src/watchtower.cpp
-    ../src/platformfilewatcher.cpp
+    ../src/viewtools.cpp
+    ../src/encodingspeculator.cpp
+    # ../src/platformfilewatcher.cpp
 )
 
 set(glogg_HEADERS
@@ -126,8 +128,9 @@
 
 # Unit tests
 set(glogg_UTESTS
-    watchtowerTest.cpp
+    # watchtowerTest.cpp
     linepositionarrayTest.cpp
+    encodingspeculatorTest.cpp
 )
 
 # Integration tests
@@ -148,8 +151,8 @@
     set(FileWatcherEngine_SOURCES
         ../src/winwatchtowerdriver.cpp
     )
-else (WIN32)
-    set(FileWatcherEngine_SOURCES ../src/inotifywatchtowerdriver.cpp)
+elseif (LINUX)
+    # set(FileWatcherEngine_SOURCES ../src/inotifywatchtowerdriver.cpp)
 endif (WIN32)
 
 # Compiler flags

=== debian/changelog ===
glogg (1.1.4-1.4build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Aug 2025 08:27:33 +0200

glogg (1.1.4-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Import on Salsa
  * Replace obsolete CDBS build with DebHelper

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Mar 2025 16:17:11 +0100

glogg (1.1.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace markdown with discount. (Closes: #1073093)

 -- Bastian Germann <bage@debian.org>  Fri, 09 Aug 2024 12:24:01 +0200

glogg (1.1.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Remove hard-coded build dependency on libqt5dbus5
    (Closes: #1067694)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Apr 2024 23:11:25 +0200

glogg (1.1.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/docs: Adjust for upstream README -> README.md rename.
    (Closes: #903330)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Aug 2018 19:33:01 +0300

glogg (1.1.4-1) unstable; urgency=medium

  * New upstream version 1.1.4 (closes: #853422)
  * Update the copyright years.
  * Add dbus support to the build.
  * Update to debhelper 10 and Standards-Version 4.0.0.

 -- Nicolas Bonnefon <nicolas@bonnefon.org>  Fri, 11 Aug 2017 19:24:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,28 @@
 Source: glogg
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
-Build-Depends: debhelper (>= 8), cdbs (>= 0.4.120), pkg-config,
-    qt5-qmake (>= 5.2.1), qtbase5-dev (>= 5.2.1), qtchooser,
-    qtbase5-dev-tools (>= 5.2.1),
-    libboost-program-options-dev, markdown, docbook-to-man
-Standards-Version: 3.9.6
+Maintainer: Nicolas Bonnefon <nicolas@bonnefon.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ discount,
+ docbook-to-man,
+ libboost-program-options-dev,
+ pkgconf,
+ qt5-qmake (>= 5.2.1),
+ qtbase5-dev (>= 5.2.1),
+ qtbase5-dev-tools (>= 5.2.1),
+ qtchooser,
+Standards-Version: 4.7.0
 Homepage: http://glogg.bonnefon.org/
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/glogg.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/glogg.git
+Vcs-Browser: https://salsa.debian.org/debian/glogg
+Vcs-Git: https://salsa.debian.org/debian/glogg.git
+X-Style: black
 
 Package: glogg
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Smart interactive log explorer using Qt
  glogg is a multi-platform GUI application to browse and search through long or
  complex log files. It is designed with programmers and system administrators

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@

execute_after_dh_auto_build:
	docbook-to-man debian/glogg.sgml > debian/glogg.1

execute_after_dh_auto_install:
	rm -vf debian/*/usr/share/doc/glogg/COPYING*

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://glogg.bonnefon.org/files/glogg-([\d\.]*)\.tar\.gz
